> For the complete documentation index, see [llms.txt](https://docs.navigaglobal.com/content-agent/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.navigaglobal.com/content-agent/admin/config.md).

# Config

The plugin needs to be configured with endpoints and credentials for InfoCaster, Open Content and QueryStreamer.

### Example config:

#### Infocaster

```javascript
{
    "host": "${DBKS:CA_IC_PROVIDER_URL}",
    "publisher": "open-session",
    "token": ""
}
```

#### Content providers

```javascript
{
	"${DBKS:CA_PROVIDER}": {
		"opencontent": {
			"host": "${DBKS:CA_OC_PROVIDER_URL}",
			"username": "${DBKS:CA_OC_PROVIDER_USERNAME}",
			"password": "${DBKS:CA_OC_PROVIDER_PASSWORD}"
		},
		"querystreamer": {
			"host": "${DBKS:CA_QS_PROVIDER_URL}",
			"username": "${DBKS:CA_QS_PROVIDER_USERNAME}",
			"password": "${DBKS:CA_QS_PROVIDER_PASSWORD}"
		},
		"infocaster": {
			"host": "${DBKS:CA_IC_PUBLISHER_URL}",
			"publisherId": "${DBKS:CA_IC_PUBLISHER_ID}",
			"token": "${DBKS:CA_IC_PUBLISHER_TOKEN}"
		}
	}
}
```

###

### Example using Naviga ID to communicate

Remove username and password in order to send your Naviga ID token to OC to handle access.\
\&#xNAN;*\* Token is only sent to the whitelisted domains of Dashboard (default: infomaker.io, navigacloud.com)*

```javascript
{
	"${DBKS:CA_PROVIDER}": {
		"opencontent": {
			"host": "${DBKS:CA_OC_PROVIDER_URL}"
		},
		[...]
	}
}
```

###

### Example using Client Credentials

```javascript
{
	"${DBKS:CA_PROVIDER}": {
		"clientId": "${DBKS:CA_CC_ID}",
    "clientSecret": "${DBKS:CA_CC_SECRET}",
    
		"opencontent": {
			"host": "${DBKS:CA_OC_PROVIDER_URL}"
		},
		[...]
	}
}
```

###

### Example using CCA integration

In order to allow us to use CCA integration part of content agent we need to specify current CCA endpoint.

```javascript
{
	"${DBKS:CA_PROVIDER}": {
		[...]
		"cca": {
			"baseUrl": "https://cca-eu-west-1.saas-stage.infomaker.io/"
		}
	}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/content-agent/admin/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
